# Contributing to Apache Zipkin (incubating)

If you would like to contribute code, fork this GitHub repository and
send a pull request on a branch other than `master`.

When submitting code, please apply [Square Code Style](https://github.com/square/java-code-styles).
* If the settings import correctly, CodeStyle/Java will be named Square and use 2 space tab and indent, with 4 space continuation indent.

## License

By contributing your code, you agree to license your contribution under
the terms of the [APLv2](LICENSE).

All files are released with the Apache 2.0 license.

If you are adding a new file it should have a header like below. This
can be automatically added by running `mvn com.mycila:license-maven-plugin:format`.

```
/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 ```

## Contributor Agreement

Non-trivial change requires an Individual Contributor License Agreement
(ICLA). The ICLA applies to all Apache Software Foundation projects, and
is a one-time effort. If you have not yet filled an ICLA, download the [template](https://www.apache.org/licenses/icla.pdf).
After filling the form with your information print, sign, scan, and send
it in an email attachment to secretary@apache.org. You will get a
confirmation and end up on a [list we can check](http://people.apache.org/unlistedclas.html).
